Bug 841013 - Screen locked by a persistent error message when the same distro is added to a changeset twice
Screen locked by a persistent error message when the same distro is added to ...
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: 6.0
Assigned To: Marek Hulan
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 17:14 EDT by Tomas Strachota
Modified: 2014-09-18 12:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:12:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (57.01 KB, image/png)
2012-07-17 17:14 EDT, Tomas Strachota
no flags Details
reproducer help script (1.16 KB, application/x-sh)
2012-07-17 17:17 EDT, Tomas Strachota
no flags Details

  None (edit)
Description Tomas Strachota 2012-07-17 17:14:22 EDT
Created attachment 598750 [details]
screenshot

Description of problem:
After an attempt to add the same distribution to a changeset twice a message box without any close button pops up. It blocks the screen and a user must reload it to continue.


Version-Release number of selected component (if applicable):
katello-0.2.40-1

How reproducible:
always

Steps to Reproduce:
1. run the reproducer script
2. in UI navigate to Content Management > Promotions > Locker > changeset cs2
3. from product zoo add distro ks-Animals-TestVariant-12-x86_64 
4. add the same distro from the product zoo2
  
Actual results:
A validation error occurs and a hole browser screen gets locked with a persistent message box (see the screenshot attached). You can move it, resize it but there is no way how to close it. The only way out is to reload the page.

Expected results:
Some non-blocking output.

Additional info:
Comment 1 Tomas Strachota 2012-07-17 17:17:39 EDT
Created attachment 598751 [details]
reproducer help script
Comment 3 Marek Hulan 2013-02-08 06:07:54 EST
We agreed with Tomas Strachota that blocking notifications are ok for system errors. Since this was an error in our logic the bug is solved by allowing two distributions with the same name if they are not in a same product.
Comment 5 Mike McCune 2013-09-19 14:12:38 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.